package com.sifang.modules.esign.query;

public class Authentication {

    //组织机构认证配置项
    private OrgAuthConfig orgAuthConfig;
    /**
     * 指定客户端类型，默认值 ALL（注意参数值全部为英文大写）
     *
     *     ALL - 自动适配移动端或PC端
     *     H5 - 移动端适配
     *     PC - PC端适配
    */
    private String clientType;
    //接收回调通知的Web地址（需符合 https /http 协议），通知开发者用户认证和授权的完成情况
    private String notifyUrl;

    //认证完成重定向配置项
    private RedirectConfig redirectConfig;

    public OrgAuthConfig getOrgAuthConfig() {
        return orgAuthConfig;
    }

    public void setOrgAuthConfig(OrgAuthConfig orgAuthConfig) {
        this.orgAuthConfig = orgAuthConfig;
    }

    public String getClientType() {
        return clientType;
    }

    public void setClientType(String clientType) {
        this.clientType = clientType;
    }

    public String getNotifyUrl() {
        return notifyUrl;
    }

    public void setNotifyUrl(String notifyUrl) {
        this.notifyUrl = notifyUrl;
    }

    public RedirectConfig getRedirectConfig() {
        return redirectConfig;
    }

    public void setRedirectConfig(RedirectConfig redirectConfig) {
        this.redirectConfig = redirectConfig;
    }
}
